Commit 526654e4 authored by Georg Ringer's avatar Georg Ringer Committed by Benni Mack
Browse files

[TASK] Update egulias/email-validator

Use the latest version which gets full support.

composer req egulias/email-validator:^3.1
composer req egulias/email-validator:^3.1 -d typo3/sysext/core --no-update

Resolves: #94830
Releases: master
Change-Id: I6336a15d28401e364d343eb9c2a4d50708b520a9
Reviewed-on: https://review.typo3.org/c/Packages/TYPO3.CMS/+/70464


Tested-by: core-ci's avatarcore-ci <typo3@b13.com>
Tested-by: Wouter Wolters's avatarWouter Wolters <typo3@wouterwolters.nl>
Tested-by: Benni Mack's avatarBenni Mack <benni@typo3.org>
Reviewed-by: Wouter Wolters's avatarWouter Wolters <typo3@wouterwolters.nl>
Reviewed-by: Benni Mack's avatarBenni Mack <benni@typo3.org>
parent 26886124
......@@ -4,7 +4,7 @@
"Read more about it at https://getcomposer.org/doc/01-basic-usage.md#installing-dependencies",
"This file is @generated automatically"
],
"content-hash": "5ccfefbc4218b46ae4b8a04773660eda",
"content-hash": "c44962ab462197dada0a35039ab7acc3",
"packages": [
{
"name": "bacon/bacon-qr-code",
......@@ -749,27 +749,27 @@
},
{
"name": "egulias/email-validator",
"version": "2.1.25",
"version": "3.1.1",
"source": {
"type": "git",
"url": "https://github.com/egulias/EmailValidator.git",
"reference": "0dbf5d78455d4d6a41d186da50adc1122ec066f4"
"reference": "c81f18a3efb941d8c4d2e025f6183b5c6d697307"
},
"dist": {
"type": "zip",
"url": "https://api.github.com/repos/egulias/EmailValidator/zipball/0dbf5d78455d4d6a41d186da50adc1122ec066f4",
"reference": "0dbf5d78455d4d6a41d186da50adc1122ec066f4",
"url": "https://api.github.com/repos/egulias/EmailValidator/zipball/c81f18a3efb941d8c4d2e025f6183b5c6d697307",
"reference": "c81f18a3efb941d8c4d2e025f6183b5c6d697307",
"shasum": ""
},
"require": {
"doctrine/lexer": "^1.0.1",
"php": ">=5.5",
"symfony/polyfill-intl-idn": "^1.10"
"doctrine/lexer": "^1.2",
"php": ">=7.2",
"symfony/polyfill-intl-idn": "^1.15"
},
"require-dev": {
"dominicsayers/isemail": "^3.0.7",
"phpunit/phpunit": "^4.8.36|^7.5.15",
"satooshi/php-coveralls": "^1.0.1"
"php-coveralls/php-coveralls": "^2.2",
"phpunit/phpunit": "^8.5.8|^9.3.3",
"vimeo/psalm": "^4"
},
"suggest": {
"ext-intl": "PHP Internationalization Libraries are required to use the SpoofChecking validation"
......@@ -777,7 +777,7 @@
"type": "library",
"extra": {
"branch-alias": {
"dev-master": "2.1.x-dev"
"dev-master": "3.0.x-dev"
}
},
"autoload": {
......@@ -805,7 +805,7 @@
],
"support": {
"issues": "https://github.com/egulias/EmailValidator/issues",
"source": "https://github.com/egulias/EmailValidator/tree/2.1.25"
"source": "https://github.com/egulias/EmailValidator/tree/3.1.1"
},
"funding": [
{
......@@ -813,7 +813,7 @@
"type": "github"
}
],
"time": "2020-12-29T14:50:06+00:00"
"time": "2021-04-01T18:37:14+00:00"
},
{
"name": "enshrined/svg-sanitize",
......
.. include:: ../../Includes.txt
==================================================
Important: #94830 - Update egulias/email-validator
==================================================
See :issue:`94830`
Description
===========
The package `egulias/email-validator` has been updated from version 2.1.25 to 3.1.1.
The validation of emails which are using edge cases of the RFC might change.
The full changelog is available at https://github.com/egulias/EmailValidator/blob/3.x/CHANGELOG.md
.. index:: PHP-API, ext:core
......@@ -26,15 +26,15 @@
"ext-pcre": "*",
"ext-session": "*",
"ext-xml": "*",
"composer-runtime-api": "^2.0",
"bacon/bacon-qr-code": "^2.0",
"christian-riesen/base32": "^1.5",
"cogpowered/finediff": "~0.3.1",
"composer-runtime-api": "^2.0",
"doctrine/annotations": "^1.11",
"doctrine/dbal": "^2.13",
"doctrine/instantiator": "^1.4",
"doctrine/lexer": "^1.2.1",
"egulias/email-validator": "^2.1",
"egulias/email-validator": "^3.1",
"enshrined/svg-sanitize": "^0.14.1",
"guzzlehttp/guzzle": "^7.2",
"guzzlehttp/psr7": "^1.7.0",
......@@ -60,9 +60,9 @@
"symfony/polyfill-intl-idn": "^1.10",
"symfony/polyfill-intl-normalizer": "^1.22",
"symfony/polyfill-mbstring": "^1.2",
"symfony/rate-limiter": "^5.3",
"symfony/routing": "^5.3.0",
"symfony/yaml": "^5.3.0",
"symfony/rate-limiter": "^5.3",
"typo3/class-alias-loader": "^1.0",
"typo3/cms-cli": "^3.0",
"typo3/cms-composer-installers": "^2.0 || ^3.0",
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment